# DescribeDomainIpAcl

## 1. API Description

This interface is used to query the IP access control policy for an accelerated domain.

## 2. Request Parameters

The following request parameters are required by the interface:

| Parameter Name | Required | Type   | Description           |
| -------------- | -------- | ------ | --------------------- |
| domainId       | Yes      | String | Accelerated domain ID |

## 3. Output Parameters

| Parameter Name | Type                                                                                            | Description                                                                                  |
| -------------- | ----------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                          | Unique request ID. This ID is returned with every request and is needed for troubleshooting. |
| ipAcl          | [IpAclInfo](https://docs.console.zenlayer.com/api-reference/networking/datastructure#ipaclinfo) | IP access control information                                                                |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query Accelerated Domain IP Access Control Policy**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-ZC-Action: DescribeDomainIpAcl
<Common Request Params>

Request:
{
    "domainId": "domainIdxxxxx"
}

Response:
{
    "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
    "response": {
        "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
        "ipAcl": {
            "enable": true,
            "type": "WHITE",
            "ips": [
                "1.1.1.1",
                "2.2.2.2"
            ]
        }
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Error Codes

The following includes error codes encountered in business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code                        | Description                                      |
| ---------------- | --------------------------------- | ------------------------------------------------ |
| 404              | INVALID\_DOMAIN\_NOT\_FOUND       | The specified accelerated domain does not exist. |
| 403              | DOMAIN\_OPERATION\_NO\_PERMISSION | Operation denied due to lack of permission.      |
